Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetExternalLinkInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.LoginUrlInfo>
it.tdlight.jni.TdApi.GetExternalLinkInfo

Enclosing class:
  TdApi

public static final class TdApi.GetExternalLinkInfo extends TdApi.Function<TdApi.LoginUrlInfo>
Returns information about an action to be done when the current user clicks an external link. Don't use this method for links from secret chats if web page preview is disabled in secret chats.

Returns `LoginUrlInfo`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`link`
The link.

## Constructor Summary

Constructors
Constructor
Description
`GetExternalLinkInfo()`
Returns information about an action to be done when the current user clicks an external link.
`GetExternalLinkInfo(DataInput input)`
Returns information about an action to be done when the current user clicks an external link.
`GetExternalLinkInfo(String link)`
Returns information about an action to be done when the current user clicks an external link.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### link

public String link
The link.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GetExternalLinkInfo

public GetExternalLinkInfo()
Returns information about an action to be done when the current user clicks an external link. Don't use this method for links from secret chats if web page preview is disabled in secret chats.

Returns `LoginUrlInfo`

### GetExternalLinkInfo

public GetExternalLinkInfo(String link)
Returns information about an action to be done when the current user clicks an external link. Don't use this method for links from secret chats if web page preview is disabled in secret chats.

Returns `LoginUrlInfo`

Parameters:
  `link` - String The link.

### GetExternalLinkInfo

public GetExternalLinkInfo(DataInput input) throws IOException
Returns information about an action to be done when the current user clicks an external link. Don't use this method for links from secret chats if web page preview is disabled in secret chats.

Returns `LoginUrlInfo`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`